#ifndef TIMERHEADER
#define TIMERHEADER
#include "SDL.h" 

class Timer
{
public:
	Timer() {Reset();};
	~Timer() {};
	inline void Reset()
	{
		startTime = (double)SDL_GetTicks() / 1000.0;
	};
	inline double Elapsed() const 
	{
		double time = (double)SDL_GetTicks() / 1000.0;
		return time - startTime;
	};
private:
	double startTime;

};

#endif