#ifndef clouds_h
#define clouds_h

#include "sprite.h"

#include <list>

struct Cloud
{
	float pos[3];
	float vel[3];
	const Frame* f;
};

class Clouds
{
public:
	Clouds();

	void Update(double timeDif);
	void Draw();

private:
	FrameSet frames;

	typedef std::list<Cloud> CloudCont;
	typedef CloudCont::iterator CloudIt;
	CloudCont clouds;
};

#endif
